javax.jms

## Class InvalidSelectorException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.jms.JMSException
      - - javax.jms.InvalidSelectorException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  InvalidSelectorException

    public class InvalidSelectorException
    extends JMSException

This exception must be thrown when a JMS client attempts to give a provider a message selector with invalid syntax.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`InvalidSelectorException(java.lang.String reason)` Constructs an `InvalidSelectorException` with the specified reason.
`InvalidSelectorException(java.lang.String reason, java.lang.String errorCode)` Constructs an `InvalidSelectorException` with the specified reason and error code.

### Method Summary

### Methods inherited from class javax.jms.JMSException

`getErrorCode, getLinkedException, setLinkedException`

### Methods inherited from class java.lang.Throwable

`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### InvalidSelectorException

    public InvalidSelectorException(java.lang.String reason,
                            java.lang.String errorCode)

Constructs an `InvalidSelectorException` with the specified reason and error code.

Parameters:
  `reason` - a description of the exception
  `errorCode` - a string specifying the vendor-specific error code

#### InvalidSelectorException

    public InvalidSelectorException(java.lang.String reason)

Constructs an `InvalidSelectorException` with the specified reason. The error code defaults to null.

Parameters:
  `reason` - a description of the exception